# SPEC file for Tab URL Copier extension

%define rname	tab_url_copier
%define version 1.1.9
%define release alt4
%define cid 	\{007C7BD8-3DB5-41e5-A7D9-7021B464CC9D\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	copies the URLs of all open tabs
Summary(ru_RU.UTF-8):	копирует список URL всех открытых табов

License:	GPL
Group:		Networking/WWW
URL:		https://addons.mozilla.org/firefox/2069/
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%rname-%version-fx.xpi

BuildRequires(pre):	rpm-build-firefox
BuildRequires:  unzip

%description
Firefox plugin 'Tab URL Copier' copies the URLs of all open tabs.
Puts  'Copy Tab URLs' item in right  click menu of tabs and  Edit 
main menu.  Useful for  bibliographies, quickly sending someone a 
list of pages to view etc.

%description -l ru_RU.UTF-8
Расширение для Firefox  "Tab URL Copier"  копирует список URL всех
открытых табов в буфер обмена. Оно добавляет пункт "Copy Tab URLs"
в контекстное меню табов и меню  "Правка".  Может быть полезно для 
работы с библиографиями, для быстрого отправления кому-либо списка
страниц для просмотра и т.п.

%prep
%setup -c
%__subst 's@3\.0\.\*@3.6.*@' install.rdf

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir
touch %buildroot/%ciddir/chrome.manifest

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Jan 27 2010 Alexey Gladkov <legion@altlinux.ru> 1.1.9-alt4
- Rebuild for Firefox 3.6

* Fri Jun 05 2009 Alexey Gladkov <legion@altlinux.ru> 1.1.9-alt3
- Rebuild for Firefox 3.5

* Sun Mar 15 2009 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.9-alt2
- Rebuild for Firefox 3.1

* Sun Dec 14 2008 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.9-alt1
- New version

* Mon Jul 21 2008 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt10
- Rebuild for Firefox 3.0.1

* Thu Jul 10 2008 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt9
- Rebuild for Firefox 3.0

* Sat Dec 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt8
- Rebuild for Firefox 2.0.0.11

* Fri Nov 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt7
- Rebuild for Firefox 2.0.0.9

* Fri Oct 26 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt6
- Rebuild for Firefox 2.0.0.8

* Fri Aug 03 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt5
- Rebuild for Firefox 2.0.0.6

* Sat Jul 21 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt4
- Rebuild for Firefox 2.0.0.5

* Thu Jul 05 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt3
- Rebuild for Firefox 2.0.0.4

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt2
- Rebuild for Firefox 2.0.0.2

* Mon Dec 04 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.8-alt1
- New version 1.1.8
- Build for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.0.4-alt4
- Rebuild for Firefox 1.5.0.7

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.0.4-alt3
- Rebuild with Firefox 1.5.0.6

* Tue Jun 20 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.0.4-alt2
- Rebuild with firefox 1.5.0.4

* Wed May 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.0.4-alt1
- First build for ALT Linux

* Sun May 21 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.0.4-alt0
- Initial build
